
Summary: Fortran 77 program verifier (ala' lint for C programs)
Name: ftnchek
Version: 2.9.5
Release: 2
Packager: John C. Peterson <jaypee@netcom.com>
Copyright: Copyrighted, freely distributable if attributed
Group: Development/Tools
Source: ftp://ftp.dsm.fordham.edu/pub/ftnchek2.9/ftnchek-2.9.5.tar.gz
Buildroot: /tmp/build_root

%description
ftnchek is a verifier for Fortran 77 programs, (much like the "lint"
program used by C programmers). It is not designed to catch language
syntax errors, that is the function of the compiler, (prior to using
ftnchek, the user should verify that the program compiles correctly).
It's purpose is to assist the user in finding semantic errors. Namely,
things that are legal in the Fortran 77 language, but appear suspicious in
nature, and may lead to unintended results.  For example, using a variable
before it has been initialized, variables that are declared and never
used, function calls with the wrong number of arguments, etc. ftnchek
is Copyrighted by it's author, Robert Moniot, <moniot@mary.fordham.edu>.
It may be freely distributed and modified provided the existing
Copyright notices are retained.

%prep
%setup

%build
./configure --prefix=/usr
make
make docs
gzip -9 dcl2inc.ps ftnchek.ps

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# create directories we will need
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/ftnchek
install -d $RPM_BUILD_ROOT/usr/man/man1
# install the executables
install -m 755 dcl2inc $RPM_BUILD_ROOT/usr/bin
install -m 755 -s ftnchek $RPM_BUILD_ROOT/usr/bin
# install the library file
cp -p dcl2inc.awk $RPM_BUILD_ROOT/usr/lib/ftnchek
chmod 0644 $RPM_BUILD_ROOT/usr/lib/ftnchek/dcl2inc.awk
# install the man pages
cp -p dcl2inc.man $RPM_BUILD_ROOT/usr/man/man1/dcl2inc.1
cp -p ftnchek.1 $RPM_BUILD_ROOT/usr/man/man1/ftnchek.1
chmod 0444 $RPM_BUILD_ROOT/usr/man/man1/dcl2inc.1
chmod 0444 $RPM_BUILD_ROOT/usr/man/man1/ftnchek.1

%files
%doc README ftnchek.doc ftnchek.ps.gz dcl2inc.doc dcl2inc.ps.gz
/usr/bin/dcl2inc
/usr/bin/ftnchek
/usr/lib/ftnchek/dcl2inc.awk
/usr/man/man1/dcl2inc.1
/usr/man/man1/ftnchek.1

